SDL_WindowSupportsGPUPresentMode(3)

NAME
SDL_WindowSupportsGPUPresentMode - Determines whether a presentation mode is supported by the window.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_WindowSupportsGPUPresentMode(
    SDL_GPUDevice *device,
    SDL_Window *window,
    SDL_GPUPresentMode present_mode);

DESCRIPTION
The window must be claimed before calling this function.

FUNCTION PARAMETERS

device
    a GPU context.

window
    an SDL_Window .

present_mode
    the presentation mode to check.

RETURN VALUE
Returns true if supported, false if unsupported.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ClaimWindowForGPUDevice(3)